Skip to main content
`Ctrl`+`K`

# doxysphinx.utils.exceptions

The exception module contains several standard exceptions.

## Exceptions

`ApplicationError` | A generic application error.
`ValidationError` | A generic error to indicate some validation failed.
`PrerequisiteNotMetError` | An application error that indicates that some prerequisite is not met.

## Module Contents

exception doxysphinx.utils.exceptions.ApplicationError(message)

  Bases: `Exception`

  A generic application error.

exception doxysphinx.utils.exceptions.ValidationError(message)

  Bases: `Exception`

  A generic error to indicate some validation failed.

exception doxysphinx.utils.exceptions.PrerequisiteNotMetError(message)

  Bases: `Exception`

  An application error that indicates that some prerequisite is not met.